> For the complete documentation index, see [llms.txt](https://docs.atfinity.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.atfinity.io/rule-language/operators/unknown-operators/avg_of_any.md).

# AVG\_OF\_ANY

### Description

`AVG_OF_ANY` is the flexible counterpart of [`AVG`](/rule-language/operators/mathematical-operators/avg.md).

It gives you the average of the values you provide in between a set of brackets, each separated by a comma.

If a value is not available:

* `AVG_OF_ANY` simply ignores it and gives you the average of values that are available
* `AVG`, before returning a result, will alert you to go back and provide the missing value.

### Example

```
p is Person
AVG_OF_ANY(
    p.income_from_employment, 
    p.income_from_wealth_gain, 
    p.other_income
)
```

This [expression](/rule-language/expressions.md) will give you the average number from the three types of personal income mentioned.

If the person in this case does not have any income from wealth gain, the outcome will be the average of the other two sources of income.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.atfinity.io/rule-language/operators/unknown-operators/avg_of_any.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
